Index: /trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 359)
+++ /trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 360)
@@ -795,9 +1625,16 @@
 		};
 	};
+	29B97316FDCFA39411CA2CEA /* main.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {920, 349}}";
+			sepNavSelRange = "{208, 0}";
+			sepNavVisRange = "{0, 252}";
+		};
+	};
 	E10F2A3F0402E71400050002 /* NJRReadMeController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 3828}}";
-			sepNavSelRange = "{1651, 0}";
-			sepNavVisRange = "{1047, 1289}";
+			sepNavIntBoundsRect = "{{0, 0}, {830, 3245}}";
+			sepNavSelRange = "{8084, 11}";
+			sepNavVisRange = "{7005, 2536}";
 			sepNavWindowFrame = "{{268, 244}, {889, 698}}";
 		};
@@ -820,34 +1657,4 @@
 		vrLen = 1001;
 		vrLoc = 30;
-	};
-	E120D65F0418AE0E00050002 /* PSAlarm.m:46 */ = {
-		isa = PBXFileBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		fileReference = F59F6CB50354E7DA01AEEDB1 /* PSAlarm.m */;
-		hitCount = 0;
-		ignoreCount = 0;
-		lineNumber = 46;
-		modificationTime = 217479629.252993;
-		state = 2;
-	};
-	E120D6610418B08700050002 /* PSAlarm.m:46 */ = {
-		isa = PBXFileBreakpoint;
-		actions = (
-		);
-		breakpointStyle = 0;
-		continueAfterActions = 0;
-		countType = 0;
-		delayBeforeContinue = 0;
-		fileReference = F59F6CB50354E7DA01AEEDB1 /* PSAlarm.m */;
-		hitCount = 0;
-		ignoreCount = 0;
-		lineNumber = 46;
-		modificationTime = 217479629.253012;
-		state = 2;
 	};
 	E130B91603B69C6300000028 /* PBXBookmarkGroup */ = {
@@ -906,5 +1713,5 @@
 		lineNumber = 158;
 		location = Pester;
-		modificationTime = 217479629.253024;
+		modificationTime = 217582684.089327;
 		state = 1;
 	};
@@ -917,4 +1724,11 @@
 		};
 	};
+	E162698903B6190B00000028 /* NSCalendarDate-NJRExtensions.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 307}}";
+			sepNavSelRange = "{213, 14}";
+			sepNavVisRange = "{0, 369}";
+		};
+	};
 	E16959290437A4A400050002 /* NSFont-NJRExtensions.h */ = {
 		uiCtxt = {
Index: /trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser
===================================================================
--- /trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 359)
+++ /trunk/Cocoa/Pester/Source/Pester.xcodeproj/nicholas.pbxuser	(revision 360)
@@ -941,7 +9994,7 @@
 	E18DA4090442C56D00050002 /* PSMediaAlert.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {761, 803}}";
-			sepNavSelRange = "{1287, 99}";
-			sepNavVisRange = "{0, 1723}";
+			sepNavIntBoundsRect = "{{0, 0}, {761, 792}}";
+			sepNavSelRange = "{618, 0}";
+			sepNavVisRange = "{3, 1720}";
 			sepNavWindowFrame = "{{153, 208}, {820, 839}}";
 		};
@@ -968,6 +10021,6 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {830, 1595}}";
-			sepNavSelRange = "{3455, 0}";
-			sepNavVisRange = "{1586, 2280}";
+			sepNavSelRange = "{1638, 15}";
+			sepNavVisRange = "{1076, 1862}";
 			sepNavWindowFrame = "{{130, 370}, {889, 698}}";
 		};
@@ -984,6 +10037,6 @@
 		ignoreCount = 0;
 		location = "";
-		modificationTime = 217479631.074307;
-		state = 0;
+		modificationTime = 217582786.916559;
+		state = 1;
 		symbolName = "-[_NSZombie release]";
 	};
@@ -1009,5 +10062,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {940, 1069}}";
-			sepNavSelRange = "{357, 0}";
+			sepNavSelRange = "{410, 0}";
 			sepNavVisRange = "{0, 976}";
 			sepNavWindowFrame = "{{38, 50}, {999, 1128}}";
@@ -1036,5 +10089,5 @@
 			},
 			{
-				active = YES;
+				active = NO;
 				name = MallocStackLogging;
 				value = 1;
@@ -1084,15 +10137,15 @@
 	E1DEF117040014EB00050002 /* PSTimeDateEditor.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 662}}";
-			sepNavSelRange = "{2041, 0}";
-			sepNavVisRange = "{0, 2083}";
-			sepNavWindowFrame = "{{291, 223}, {889, 698}}";
+			sepNavIntBoundsRect = "{{0, 0}, {830, 671}}";
+			sepNavSelRange = "{1177, 0}";
+			sepNavVisRange = "{0, 2232}";
+			sepNavWindowFrame = "{{726, 181}, {889, 698}}";
 		};
 	};
 	E1E9A33903C8EF6700050002 /* SUSpeaker.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {869, 3223}}";
-			sepNavSelRange = "{1416, 91}";
-			sepNavVisRange = "{1108, 730}";
+			sepNavIntBoundsRect = "{{0, 0}, {869, 3234}}";
+			sepNavSelRange = "{1839, 122}";
+			sepNavVisRange = "{1660, 639}";
 			sepNavWindowFrame = "{{314, 202}, {889, 698}}";
 		};
@@ -1116,7 +10169,7 @@
 	E1F993C70436310F00050002 /* PSPreferencesController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {869, 1749}}";
-			sepNavSelRange = "{4128, 2}";
-			sepNavVisRange = "{3634, 594}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1694}}";
+			sepNavSelRange = "{2514, 11}";
+			sepNavVisRange = "{1964, 940}";
 			sepNavWindowFrame = "{{222, 286}, {889, 698}}";
 		};
@@ -1163,5 +10216,5 @@
 		ignoreCount = 0;
 		location = libSystem.B.dylib;
-		modificationTime = 217479629.253318;
+		modificationTime = 217582684.089453;
 		state = 1;
 		symbolName = szone_error;
@@ -1177,7 +10230,8 @@
 	F517D6420356B8CC016D68B9 /* PSAlarms.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 3762}}";
-			sepNavSelRange = "{4513, 1}";
-			sepNavVisRange = "{4469, 1446}";
+			sepNavIntBoundsRect = "{{0, 0}, {920, 3619}}";
+			sepNavSelRange = "{8316, 0}";
+			sepNavVisRange = "{7670, 1218}";
+			sepNavWindowFrame = "{{176, 187}, {820, 839}}";
 		};
 	};
@@ -1199,7 +10253,7 @@
 	F560E3160357895001A4E466 /* NJRHistoryTrackingComboBox.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {761, 840}}";
-			sepNavSelRange = "{203, 0}";
-			sepNavVisRange = "{48, 2262}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 858}}";
+			sepNavSelRange = "{1238, 11}";
+			sepNavVisRange = "{591, 1028}";
 			sepNavWindowFrame = "{{548, 60}, {820, 839}}";
 		};
@@ -1208,7 +10262,7 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {960, 4291}}";
-			sepNavSelRange = "{1901, 0}";
-			sepNavVisRect = "{{0, 644}, {960, 1069}}";
-			sepNavWindowFrame = "{{15, 44}, {999, 1129}}";
+			sepNavSelRange = "{9338, 0}";
+			sepNavVisRect = "{{0, 2209}, {960, 1068}}";
+			sepNavWindowFrame = "{{15, 50}, {999, 1128}}";
 		};
 	};
@@ -1224,6 +10278,6 @@
 		ignoreCount = 0;
 		location = "";
-		modificationTime = 217479631.03672;
-		state = 0;
+		modificationTime = 217582786.916547;
+		state = 1;
 		symbolName = "-[_NSZombie methodSignatureForSelector:]";
 	};
@@ -1238,16 +10292,77 @@
 	F59DC6D40353C9E601AEEDB1 /* PSAlarmSetController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {920, 6754}}";
-			sepNavSelRange = "{6415, 0}";
-			sepNavVisRange = "{5716, 1570}";
+			sepNavIntBoundsRect = "{{0, 0}, {817, 6912}}";
+			sepNavSelRange = "{7964, 0}";
+			sepNavVisRange = "{7377, 1279}";
 			sepNavWindowFrame = "{{619, 50}, {999, 1128}}";
 		};
 	};
+	F59DC6DC0353DE5101AEEDB1 /* PSAlarmNotifierController.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {920, 2233}}";
+			sepNavSelRange = "{2975, 17}";
+			sepNavVisRange = "{2072, 999}";
+			sepNavWindowFrame = "{{613, 82}, {820, 839}}";
+		};
+	};
+	F59DC6FC0354188F01AEEDB1 /* NJRDateFormatter.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {813, 876}}";
+			sepNavSelRange = "{310, 74}";
+			sepNavVisRange = "{0, 390}";
+			sepNavWindowFrame = "{{61, 196}, {872, 935}}";
+		};
+	};
+	F59DC6FD0354188F01AEEDB1 /* NJRDateFormatter.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {813, 2376}}";
+			sepNavSelRange = "{4681, 0}";
+			sepNavVisRange = "{4107, 2019}";
+			sepNavWindowFrame = "{{90, 149}, {872, 935}}";
+		};
+	};
 	F59E47A7036AAA6D016B311C /* PSAlert.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {761, 880}}";
-			sepNavSelRange = "{1151, 46}";
-			sepNavVisRange = "{0, 1813}";
+			sepNavIntBoundsRect = "{{0, 0}, {920, 880}}";
+			sepNavSelRange = "{760, 44}";
+			sepNavVisRange = "{17, 687}";
+			sepNavWindowFrame = "{{469, -22}, {820, 839}}";
+		};
+	};
+	F59E47A8036AAA6D016B311C /* PSAlert.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 385}}";
+			sepNavSelRange = "{350, 33}";
+			sepNavVisRange = "{325, 97}";
+		};
+	};
+	F59E47AB036AAC1E016B311C /* PSBeepAlert.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {1297, 781}}";
+			sepNavSelRange = "{872, 0}";
+			sepNavVisRange = "{32, 1931}";
+			sepNavWindowFrame = "{{360, 78}, {1356, 780}}";
+		};
+	};
+	F59E47B0036AACD1016B311C /* PSNotifierAlert.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {761, 780}}";
+			sepNavSelRange = "{900, 0}";
+			sepNavVisRange = "{0, 900}";
 			sepNavWindowFrame = "{{199, 166}, {820, 839}}";
+		};
+	};
+	F59E47B4036AAD55016B311C /* PSAlarmAlertController.m */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 1177}}";
+			sepNavSelRange = "{2162, 33}";
+			sepNavVisRange = "{0, 729}";
+		};
+	};
+	F59E47B5036AAD55016B311C /* PSAlarmAlertController.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {817, 307}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRange = "{0, 586}";
 		};
 	};
@@ -1276,10 +10391,17 @@
 		};
 	};
+	F59F6CB40354E7DA01AEEDB1 /* PSAlarm.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {830, 924}}";
+			sepNavSelRange = "{0, 0}";
+			sepNavVisRange = "{0, 1854}";
+		};
+	};
 	F59F6CB50354E7DA01AEEDB1 /* PSAlarm.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 6424}}";
-			sepNavSelRange = "{14871, 46}";
-			sepNavVisRange = "{14190, 2337}";
-			sepNavWindowFrame = "{{371, 93}, {889, 698}}";
+			sepNavIntBoundsRect = "{{0, 0}, {828, 6292}}";
+			sepNavSelRange = "{823, 0}";
+			sepNavVisRange = "{0, 2454}";
+			sepNavWindowFrame = "{{214, 23}, {887, 884}}";
 		};
 	};
@@ -1295,5 +10417,5 @@
 		ignoreCount = 0;
 		location = CoreFoundation;
-		modificationTime = 217479629.253324;
+		modificationTime = 217582684.08946;
 		state = 1;
 		symbolName = "-[NSException raise]";
@@ -1332,8 +10454,8 @@
 	F5F240CC036A877301FE7503 /* NJRQTMediaPopUpButton.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {817, 6850}}";
-			sepNavSelRange = "{11434, 4}";
-			sepNavVisRange = "{11288, 266}";
-			sepNavWindowFrame = "{{14, 32}, {999, 1129}}";
+			sepNavIntBoundsRect = "{{0, 0}, {940, 7022}}";
+			sepNavSelRange = "{1783, 11}";
+			sepNavVisRange = "{159, 3769}";
+			sepNavWindowFrame = "{{14, 50}, {999, 1128}}";
 		};
 	};
@@ -1346,10 +10468,3 @@
 		};
 	};
-	F5F2418A036A910B01FE7503 /* SoundFileManager.h */ = {
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {830, 639}}";
-			sepNavSelRange = "{146, 103}";
-			sepNavVisRange = "{0, 1367}";
-		};
-	};
 }
